SND_PCM_LIB_ALLOC_VM(9)

NAME
snd_pcm_lib_alloc_vmalloc_buffer - allocate virtual DMA buffer

SYNOPSIS

int snd_pcm_lib_alloc_vmalloc_buffer(struct snd_pcm_substream * substream, size_t size);

ARGUMENTS

substream
    the substream to allocate the buffer to

size
    the requested buffer size, in bytes

DESCRIPTION

Allocates the PCM substream buffer using vmalloc, i.e., the memory is contiguous in kernel virtual space, but not in physical memory. Use this if the buffer is accessed by kernel code but not by device DMA.

RETURN

1 if the buffer was changed, 0 if not changed, or a negative error code.

COPYRIGHT